﻿using EFCore6Test;
using Microsoft.Data.Sqlite;
using Microsoft.EntityFrameworkCore;

using var sqliteConnection = new SqliteConnection("Data Source=:memory:");
sqliteConnection.Open();

var dbContextOptions = new DbContextOptionsBuilder()
    .UseSqlite(sqliteConnection)
    .EnableDetailedErrors()
    .EnableSensitiveDataLogging().Options;
using var context = new SampleContext(dbContextOptions);
context.Database.EnsureCreated();

Console.WriteLine("done");